OCF_HEARTBEAT_NAMED(7)

NAME
ocf_heartbeat_named - Manages a named server

SYNOPSIS

named [start | stop | status | monitor | meta-data | validate-all]

DESCRIPTION

Resource script for named (Bind) server. It manages named as an HA resource.

SUPPORTED PARAMETERS

named
    Path to the named command.

    (optional, string, default "/usr/sbin/named")

rndc
    Path to the rndc command.

    (optional, string, default "/usr/sbin/rndc")

host
    Path to the host command.

    (optional, string, default "/usr/bin/host")

named_user
    User that should own named process.

    (optional, string, default "named")

named_config
    Configuration file for named.

    (unique, optional, string, no default)

named_pidfile
    PIDFILE file for named.

    (unique, optional, string, default "/var/run/named/named.pid")

named_rootdir
    Directory that named should use for chroot if any.

    (unique, optional, string, no default)

named_options
    Options for named process if any.

    (optional, string, no default)

named_keytab_file
    named service keytab file (for GSS-TSIG).

    (optional, string, no default)

rndc_options
    Options for rndc process if any.

    (optional, string, no default)

host_options
    Options for host process if any.

    (optional, string, no default)

monitor_request
    Request that shall be sent to named for monitoring. Usually an A record in DNS.

    (optional, string, default "localhost")

monitor_response
    Expected response from named server.

    (optional, string, default "127.0.0.1")

monitor_ip
    IP Address where named listens.

    (optional, string, default "127.0.0.1")

SUPPORTED ACTIONS

This resource agent supports the following actions (operations):

start
    Starts the resource. Suggested minimum timeout: 60s.

stop
    Stops the resource. Suggested minimum timeout: 60s.

reload
    Suggested minimum timeout: 60s.

status
    Performs a status check. Suggested minimum timeout: 10s.

monitor
    Performs a detailed status check. Suggested minimum timeout: 30s. Suggested interval: 30s.

meta-data
    Retrieves resource agent metadata (internal use only). Suggested minimum timeout: 5s.

validate-all
    Performs a validation of the resource configuration. Suggested minimum timeout: 5s.

methods
    Suggested minimum timeout: 5s.

EXAMPLE CRM SHELL

The following is an example configuration for a named resource using the crm(8) shell:

    primitive p_named ocf:heartbeat:named \
      op monitor depth="0" timeout="30s" interval="30s"

EXAMPLE PCS

The following is an example configuration for a named resource using pcs(8)

    pcs resource create p_named ocf:heartbeat:named \
      op monitor depth="0" timeout="30s" interval="30s"

SEE ALSO

http://clusterlabs.org/

AUTHOR

ClusterLabs contributors (see the resource agent source for information about individual authors)